## CheeseFlash CheeseFlash — Flash the screen, like a real camera flash |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <cheese/cheese-flash.h>

    struct              CheeseFlash;
    CheeseFlash *       cheese_flash_new                    (GtkWidget *parent);
    void                cheese_flash_fire                   (CheeseFlash *flash);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----CheeseFlash

## Implemented Interfaces

CheeseFlash implements AtkImplementorIface and GtkBuildable.

## Properties

      "parent"                   GtkWidget*            : Write

## Description

CheeseFlash is a window that you can create and invoke a method "flash" on to temporarily flood the screen with white.

## Details

### struct CheeseFlash

    struct CheeseFlash;

Use the accessor functions below.

### cheese_flash_new ()

    CheeseFlash *       cheese_flash_new                    (GtkWidget *parent);

Create a new CheeseFlash, associated with the `parent` widget.

`parent` : | a parent GtkWidget
Returns : | a new CheeseFlash

### cheese_flash_fire ()

    void                cheese_flash_fire                   (CheeseFlash *flash);

Fire the flash.

`flash` : | a CheeseFlash

## Property Details

### The `"parent"` property

      "parent"                   GtkWidget*            : Write

Parent GtkWidget for the CheeseFlash. The flash will be fired on the screen where the parent widget is shown.